#ifndef __MAGICDEV_REGS_H__
#define __MAGICDEV_REGS_H__

#include <io.h>

#define MAGICDEV_REG0_REGISTER_OFFSET          0
#define MAGICDEV_REG1_REGISTER_OFFSET	       4
#define MAGICDEV_REG2_REGISTER_OFFSET          8
#define MAGICDEV_REG3_REGISTER_OFFSET	       12

#define IORD_MAGICDEV_REG0(base)                IORD_32DIRECT(base, MAGICDEV_REG0_REGISTER_OFFSET)
#define IOWR_MAGICDEV_REG0(base, data)          IOWR_32DIRECT(base, MAGICDEV_REG0_REGISTER_OFFSET, data)
#define IORD_MAGICDEV_REG1(base)                IORD_32DIRECT(base, MAGICDEV_REG1_REGISTER_OFFSET)
#define IOWR_MAGICDEV_REG1(base, data)          IOWR_32DIRECT(base, MAGICDEV_REG1_REGISTER_OFFSET, data)
#define IORD_MAGICDEV_REG2(base)                IORD_32DIRECT(base, MAGICDEV_REG2_REGISTER_OFFSET)
#define IOWR_MAGICDEV_REG2(base, data)          IOWR_32DIRECT(base, MAGICDEV_REG2_REGISTER_OFFSET, data)
#define IORD_MAGICDEV_REG3(base)                IORD_32DIRECT(base, MAGICDEV_REG3_REGISTER_OFFSET)
#define IOWR_MAGICDEV_REG3(base, data)          IOWR_32DIRECT(base, MAGICDEV_REG3_REGISTER_OFFSET, data)

#endif